package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwHsOutcwVouchers;
import com.dhcc.finance.main.domain.CwHsOutcwVouchersExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface CwHsOutcwVouchersMapper {
    long countByExample(CwHsOutcwVouchersExample example);

    int deleteByExample(CwHsOutcwVouchersExample example);

    int insert(CwHsOutcwVouchers record);

    int insertSelective(CwHsOutcwVouchers record);

    List<CwHsOutcwVouchers> selectByExample(CwHsOutcwVouchersExample example);

    int updateByExampleSelective(@Param("record") CwHsOutcwVouchers record, @Param("example") CwHsOutcwVouchersExample example);

    int updateByExample(@Param("record") CwHsOutcwVouchers record, @Param("example") CwHsOutcwVouchersExample example);
    
    /**
     * 功能描述：批量新增
     * @param cwHsOutcwVouchersList
     * @return int
     * @author dml
     * @date 2019年10月16日 下午5:08:02
     * @修改日志：
     */
    int insertBeatch(List<CwHsOutcwVouchers> list);
    /**
     * 功能描述：删除数据
     * @param map
     * @return int
     * @author dml
     * @date 2019年10月16日 下午8:54:29
     * @修改日志：
     */
    int deleteOutcwVouchers(Map<String, Object> map);
}